/* common */

.container{
    width: 1170px;
    margin: 0 auto;
}
.section-title{
    color: #18B4CF;
    font-size: 27px;
    font-family: 'Open Sans', sans-serif;
    text-transform: uppercase;
    text-align: center;
    font-weight: bold;
    padding: 50px;
}
.underline::after{
        content:"";
        background-color: #169CB4;
        height: 3px;
        width: 60px;
        display: block;
        margin: 60px auto 60px;
}

/* header nav */

.menu{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.header-menu{
    font-family: 'Open Sans', sans-serif;
    background-color: #1D2124;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.logo{
    text-decoration: none;
    display: flex;
    justify-content: start;
    align-items: center;
}
.logo-name{
    color:#fff;
    font-size: 22px;
    font-weight: bold;
    padding: 5px;
}
.logo-pic{
    padding: 18px;
    background-color: #171A1C;
}
.header-menu-link{
    text-transform: uppercase;
    text-decoration: none;
    color: #fff;
    font-weight: 600;
    font-size: 15px;
    padding-right: 35px;
}
.fas{
    color: #fff;
    padding: 20px;
    background-color: #171A1C;
}


/* news section */
.news{
    background-image: url(../img/header-bg.jpeg);
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover ;
    position: relative;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.news::before{
    content: '';
    background-color: rgb(0,0, 0, 0.5);
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}
.news-title{
    text-transform: uppercase;
    font-size: 27px;
    color: #fff;
    font-family: 'Open Sans', sans-serif;
    padding: 135px 10px 40px;
    position: relative;
    z-index: 5;
    width: 100%;
}
.action-btn{
    text-decoration: none;
    display: inline-block;
    color: #fff;
    font-size: 18px;
    width: 170px;
    padding: 20px 5px;
    font-family: 'Open Sans', sans-serif;
    margin: 10px 10px 125px;
    border-radius: 5px;
    position: relative;
    z-index: 5;
}
.bg-green{
    background-color: #89CA62;
}
.bg-blue{
    background-color: #14B9D5;
}

/* our posts */
.posts{
    background-color: #F2F2F2;
}
.our-posts{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
}
.post-descr{
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    color: #353A3D;
    font-size: 18px;
    text-align: center;
    padding: 20px;
    background-color: #fff;
    margin-bottom: 30px;
}

/* clients */

.clients{
    background-image: url(../img/parallax-bg.jpeg);
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover ;
    position: relative;
}
.clients::before{
    content: '';
    background-color: rgb(0,0, 0, 0.5);
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}
.clients-title{
    text-transform: uppercase;
    font-size: 32px;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    color: #fff;
    text-align: center;
    padding-top: 200px;
    position: relative;
    z-index: 5;
}
.our-clients-logo{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr;
    justify-items: center;
    padding-bottom: 200px;
    position: relative;
    z-index: 5;
}


/* top rated */ 
.top-rated-posts{
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: 1fr;
}
.top-rated-img{
    width: 100%;
}

/* hot news */
.hot-news{
    position: relative;
}
.show-hide{
    position: absolute;
    top: 60px;
    left: 220px;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    color:#18B4CF;
    cursor: pointer;
}
.hot-news-posts{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-template-rows: repeat(4,fit-content);
    grid-template-areas: 
    "prophecy prophecy prophecy nebula"
    "pyramid pyramid meadows meadows"
    "wanderlust wanderlust sanctuary sanctuary"
    "prism shroud shroud shroud";
    grid-gap: 21px;
}
.hot-news-link{
    background-color: #F9F7F7;
    margin: 10px;
}
.prophecy{
    grid-area: prophecy;
}
.nebula{
    grid-area: nebula;
}
.pyramid{
    grid-area: pyramid;
}
.meadows{
    grid-area: meadows;
}
.wanderlust{
    grid-area: wanderlust;
}
.sanctuary{
    grid-area: sanctuary;
}
.prism{
    grid-area: prism;
}
.shroud{
    grid-area: shroud;
} 
.one-block{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
}
.hot-news-descr{
    text-align: right;
    font-family: 'Open Sans', sans-serif;
    font-weight: 600;
    font-size: 14px;
    color: #5B6469;
    margin-right: 20px;
    padding: 10px 20px 10px 10px;
    line-height: 1.5;
}
.hot-news-title{
    font-family: 'Open Sans', sans-serif;
    text-align: right;
    font-size: 18px;
    font-weight: bold;
    color: #353A3D;
    margin-top: 20px;
    padding: 10px 40px;
}
.center{
    text-align: center;
    margin-top: 5px;
}

/* footer */
.footer{
    margin-top: 10px;
    padding: 30px;
    background-color: #1D2124;
    color:#fff;
    font-family: 'Open Sans', sans-serif;
    font-size: 13px;
    margin-top: 50px;
}
.footer-block{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1f;
}
.footer-logo{
    place-self: end;
    margin-right: 10px;
}
.footer-text{
    margin-left: 10px;
}

/* button */
#button {
    display: inline-block;
    background-color: #169CB4;
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius: 4px;
    margin: 30px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    transition: background-color .3s;
    z-index: 1000;
    opacity: 0;
  }
  #button:hover {
    cursor: pointer;
    background-color: #333;
  }
  #button:active {
    background-color: #555;
  }
  #button::after {
    content: "Up";
    font-family: 'Open Sans', sans-serif;
    font-size: 36px;
    color: #fff;
  }
